Loading...
Searching...
No Matches
SatCurveMultiplexer.hpp File Reference

Implements a multiplexer class that provides LET curves and piecewise linear saturation functions. More...

`#include "SatCurveMultiplexerParams.hpp"`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Opm::SatCurveMultiplexer< TraitsT, ParamsT >
| Implements a multiplexer class that provides LET curves and piecewise linear saturation functions. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Macros

#define | STATIC_ASSERT_SATCURVE_MULTIPLEXER_UNLESS_GCC_LT_13 static_assert(false, "Unhandled SatCurveMultiplexerApproach")

## Detailed Description

Implements a multiplexer class that provides LET curves and piecewise linear saturation functions.